Get a Launch Plan approval (browser session)
import requests
url = "https://platform.ankra.app/org/applications/{application_id}/launch-plan/approvals/{approval_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/applications/{application_id}/launch-plan/approvals/{approval_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/applications/{application_id}/launch-plan/approvals/{approval_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"application_id": "<string>",
"cluster_id": "<string>",
"approved_by": "<string>",
"commit_sha": "<string>",
"plan_hash": "<string>",
"action_list_hash": "<string>",
"schema_version": "<string>",
"actions": [
{
"key": "<string>",
"kind": "stack",
"subject": "<string>",
"title": "<string>",
"tool": "<string>",
"permission": "<string>",
"is_cluster_scoped": true,
"bound_parameters": {},
"free_parameters": [
"<string>"
],
"is_value_included": true
}
],
"accepted_decisions": [
"<string>"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"claims": [
{
"action_key": "<string>",
"claimed_by": "<string>",
"claimed_via": "session",
"claimed_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Applications
Get a Launch Plan approval (browser session)
One plan-level approval of the application’s Launch Plan with its approved actions, its status (active, expired or revoked) and the actions claimed under it. Requires applications.read.
GET
/
org
/
applications
/
{application_id}
/
launch-plan
/
approvals
/
{approval_id}
Get a Launch Plan approval (browser session)
import requests
url = "https://platform.ankra.app/org/applications/{application_id}/launch-plan/approvals/{approval_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/applications/{application_id}/launch-plan/approvals/{approval_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/applications/{application_id}/launch-plan/approvals/{approval_id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"application_id": "<string>",
"cluster_id": "<string>",
"approved_by": "<string>",
"commit_sha": "<string>",
"plan_hash": "<string>",
"action_list_hash": "<string>",
"schema_version": "<string>",
"actions": [
{
"key": "<string>",
"kind": "stack",
"subject": "<string>",
"title": "<string>",
"tool": "<string>",
"permission": "<string>",
"is_cluster_scoped": true,
"bound_parameters": {},
"free_parameters": [
"<string>"
],
"is_value_included": true
}
],
"accepted_decisions": [
"<string>"
],
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"claims": [
{
"action_key": "<string>",
"claimed_by": "<string>",
"claimed_via": "session",
"claimed_at": "2023-11-07T05:31:56Z"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
The approval
One plan-level approval: who approved which exact plan (plan_hash) for which action list (action_list_hash), on which cluster, until when, and what was claimed under it.
Show child attributes
Show child attributes
Available options:
active, expired, revoked Show child attributes
Show child attributes